Skip to main content
PUT
Update relationship type

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

relationshipTypeTag
string
required

Body

application/json

Request to create or update a relationship type

allowCycles
boolean
required

Whether cyclical relationships are allowed

Example:

false

createCatalog
boolean
required

Whether to create a catalog page for this relationship type

Example:

false

definitionLocation
enum<string>
required

Defines where a relationship can be configured in entity descriptors

Available options:
SOURCE,
DESTINATION,
BOTH
Example:

"BOTH"

destinationsFilter
object
required
inheritances
object[]
required

Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.

isSingleDestination
boolean
required

Whether an entity can have only one destination for this relationship type

Example:

false

isSingleSource
boolean
required

Whether an entity can have only one source for this relationship type

Example:

false

name
string
required

Human-readable name for the relationship type

Example:

"Component Hierarchy"

sourcesFilter
object
required
tag
string
required

Unique identifier tag for the relationship type

Example:

"component-hierarchy"

description
string

Optional description explaining the relationship type

Example:

"Defines the component hierarchy"

destinationLabelPlural
string

Plural label for destinations in the relationship

Example:

"Parts"

destinationLabelSingular
string

Singular label for destinations in the relationship

Example:

"Part"

sourceLabelPlural
string

Plural label for sources in the relationship

Example:

"Components"

sourceLabelSingular
string

Singular label for sources in the relationship

Example:

"Component"

Response

Successfully updated relationship type

Response containing relationship type details

allowCycles
boolean
required

Whether cyclical relationships are allowed

Example:

false

definitionLocation
enum<string>
required

Defines where a relationship can be configured in entity descriptors

Available options:
SOURCE,
DESTINATION,
BOTH
Example:

"BOTH"

destinationsFilter
object
required
inheritances
object[]
required

Inheritance configuration for Cortex parameters. Currently supports ownership inheritance via x-cortex-owners.

isCortexManaged
boolean
required

Whether this relationship type is managed by Cortex

Example:

false

isSingleDestination
boolean
required

Whether an entity can have only one destination for this relationship type

Example:

false

isSingleSource
boolean
required

Whether an entity can have only one source for this relationship type

Example:

false

name
string
required

Human-readable name for the relationship type

Example:

"Component Hierarchy"

sourcesFilter
object
required
tag
string
required

Unique identifier tag for the relationship type

Example:

"component-hierarchy"

description
string

Optional description explaining the relationship type

Example:

"Defines the component hierarchy"

destinationLabelPlural
string

Plural label for destinations in the relationship

Example:

"Parts"

destinationLabelSingular
string

Singular label for destinations in the relationship

Example:

"Part"

destinationNamePlural
string
destinationNameSingular
string
sourceLabelPlural
string

Plural label for sources in the relationship

Example:

"Components"

sourceLabelSingular
string

Singular label for sources in the relationship

Example:

"Component"

sourceNamePlural
string
sourceNameSingular
string
Last modified on September 24, 2026